% Questa routine calcola le medie (giornaliere o per intervalli definiti)
% necessarie per le elaborazioni successive per i Wire Extensometer Link
% DatiWireExtensometer contiene le medie per l'intervallo definito 
% ARRAYdate contiene le date e il tempo per ogni dato (per media
% giornaliera, la data di quel giorno)

function [ARRAYdate_2DCrL,Dati2DCrack] = MediaDati_2DCrL(Dati2DCrack,Time2DCrL,NdatiMedia,FileName)

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'MediaDati_2DCrL function started';
fprintf(fileID,fmt,text);

[r,~]=size(Dati2DCrack);
if NdatiMedia > r
    NdatiMedia = r;
end

%% Matrice date
ARRAYdate_2DCrL = Time2DCrL;

%% Dati
Dati2DCrack = smoothdata(Dati2DCrack,'gaussian',NdatiMedia);

text = 'Average values for 2D Crack Link processed. MediaDati_2DCrL function closed';
fprintf(fileID,fmt,text);
fclose(fileID);
end